# Relationship Types Relationship Types ## Gets all of the relationship types in the system. - [GET /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/listrelationshiptypes.md): This method will scan all relationship types and and return them to the caller. ## Creates a new relationship type record that does not already exist. - [POST /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/createrelationshiptype.md): This method will auto-generate an ID and create a new relationship type. If an ID is specified for the relationship type, an error will be thrown. ## Execute Batch Operations - [POST /relationshipTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a relationship type from the system by its ID. - [DELETE /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/deleterelationshiptype.md): This method will delete a relationship type with the specified ID. ## Returns a relationship type from the system by its ID. - [GET /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/getrelationshiptype.md): This method will look up a relationship type by the specified ID and return it back. ## Partially updates a relationship type with the specified ID. - [PATCH /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/patchrelationshiptype.md): This method will patch an existing relationship type with the specified ID, using the HTTP PATCH specification. ## Updates a relationship type with the specified ID. - [PUT /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/updaterelationshiptype.md): This method will update an existing relationship type with the specified ID.